//***********************************//
//         Clock emulation           //
//        Needles are images         //
//            Processing             //
//***********************************//
//        Christian Couderc          //
//         www.voilec.com            //
//***********************************//
//   240624

PShape s;  // The PShape object
PImage aig3h, aig3m, aig3s, aig3, fond; // Size of the pictures
String[] dayName = {"dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"};

// ************* Config *************
float rH , rM , rS;  // Ray Hour, Minute, Second
color colorFluo = color(197,245,67);//255, 255, 102);
color colorSteel = color(168,168,168);
color background = color(210,210,210); 
color red = color(255,0,0);
color green = color(0, 255,0);
color blue = color(0, 0, 255);
color yellow = color(255, 255,0);
color white = color (255, 255, 255);
color black = color (0, 0, 0);
color darkGrey = color (40,40,40);
float angleH, angleM, angleS;
char   mumberOfPages = 10;
//********************

float [] xV = new float [15]; 
float [] yV = new float [15]; 
final int textSize = (int) (.5 + height * .4); 
int counter=111 + mumberOfPages;  int counterbk = counter-1;
float rHourF, epHourSteel, epHourFluo, rayHourCircleNSteel, rayHourCircleNFluo; // Hour
float raySecCircleNSteel, raySecCircleNFluo, raySecCircleSteel, raySCircleSFluo; // Second
int  xCenter, yCenter, h ; // Clock size = picture height
int pageNb;
int var4, var8;
int time = (int)random (1440); // (60) + (60*60)+ (60*60*24); 345600
int timeH,timeM,timeS, bksecond;;
boolean dbg;

float largH =- 5;
float heiH = - 158; 
float largM = 0; 
float heiM = - 217; 
float largS = -1;
float  heiS = -153; 

// ************************************************************

void setup() 
{
size(1920, 1080);
//background(background);
imageMode(CENTER);
aig3h  = loadImage("../Images/aig3h.png");
aig3m  = loadImage("../Images/aig3m.png");
aig3s  = loadImage("../Images/aig3s.png");
fond  = loadImage("../Images/fondCoucou.png");
xCenter = width / 2;
yCenter = height / 2 ;
fill(blue);
textSize(128);
}

// ************************************************************

void draw() 
{ 
  timeH = hour();
  timeM = minute();
  timeS = second();
background (background);
image(fond, xCenter, yCenter); 

stroke (red);
line (0,0, width, height);
line (0, height, width, 0);
showTimeHMS (100 , 100, 64, blue, yellow); // position, size
/*largH = -(mouseX * 100 / width );
heiH= -(mouseY * 400 / height); 
 
text (largH, 100,200);
text (heiH, 100,300);*/

 
float angleS = radians(6*timeS);
float mFloat = (6*timeM) + (timeS/10);
float angleM = radians(mFloat);
float hFloat = 30*(timeH%12); 
float angleH = radians((hFloat)+ (mFloat/12));
translate (xCenter, yCenter);
rotate (angleH);
image(aig3h, largH, heiH); 
rotate (angleM - angleH);
image(aig3m, largM, heiM); 
rotate (angleS - angleM);
image(aig3s, largS, heiS); 



delay (1000);
time++;
}  

// ************************************************************


void showTimeHMS (int xShow , int yShow, int textsize, color txtColor, color backShow) // position, size
{
stroke (black); // Outline color
fill (backShow); // Rectangle color
rect (xShow , yShow, 4*textsize, textsize, 20);
fill (txtColor); // Text color
String s = "";
if (timeH<10)
      s+="0";
s+= timeH;
s+= ":";
if (timeM<10)
      s+="0";
s+= timeM; 
s+= ":";
if (timeS<10)
      s+="0";
s+= timeS;  

textSize(textsize);
text(s, xShow+(int)(textsize * .3), yShow+(int)(textsize * .85));
}

// ************************************************************
