PShape s;  // The PShape object
PImage Rolex930, Rolex640, Rolex350, Rolex160, Voilec ; // Size of the pictures
String[] dayName = {"dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"};

// ************* Config *************
float rH , rM , rS;  // Ray Hour, Minute, Second
color colorFluo = color(197,245,67);//255, 255, 102);
color colorSteel;
int colorSteelBase = 192; // 128 = dark grey, 255 = white
color background = color(210,210,210); 
color red = color(255,0,0);
color green = color(0, 255,0);
color blue = color(0, 0, 255);
color yellow = color(255, 255,0);
color white = color (255, 255, 255);
color black = color (0, 0, 0);
color darkGrey = color (40,40,40);
float angleH, angleM, angleS;
char   mumberOfPages = 10;
//********************

float [] xV = new float [15]; 
float [] yV = new float [15]; 
final int textSize = (int) (.5 + height * .4); 
int counter=111 + mumberOfPages;  int counterbk = counter-1;
float rHourF, epHourSteel, epHourFluo, rayHourCircleNSteel, rayHourCircleNFluo; // Hour
float raySecCircleNSteel, raySecCircleNFluo, raySecCircleSteel, raySCircleSFluo; // Second
int  xCenter, yCenter, h ; // Clock size = picture height
int pageNb;
int var4, var8, varGrey =0 ;
int time = (int)random (1440); // (60) + (60*60)+ (60*60*24); 345600
int timeH,timeM,timeS, bksecond;;
boolean dbg;
long top1, top2;

// Angles for sin() and cos() start a 3 o'clock,
// subtract HALF_PI to make them start at the top

// ************************************************************

void setup() 
{
size(1920, 1080);
//background(background);
imageMode(CENTER);
Rolex930  = loadImage("../Images/Rolex_1130x930.png");
Rolex640  = loadImage("../Images/Rolex_778x640.png");
Rolex350  = loadImage("../Images/Rolex_425x350.png");
Rolex160  = loadImage("../Images/Rolex_194x160.png");
Voilec    = loadImage("../Images/voilec_203x47.png");
}

// ************************************************************

void draw() 
{ 
varGrey = (int)((250 - colorSteelBase)  * sin ((timeS)/4.0));
colorSteel = color(colorSteelBase + varGrey);  // Shade of Grey

pageNb = counter%(mumberOfPages+1) ;
if ((counterbk != counter) || (pageNb >= mumberOfPages-3))
  {
  background (background);
  counterbk = counter;

  dbg=true;
  switch (pageNb)
    {
    case 0:     
      page0 ();
      break;
    case 1:     
      demoHour (width * .08, height * .77, .65*PI, width * .9);
      break;
    case 2: 
      constructCentralY1 (width *.5, height*.55, .65*PI, width * .95);
      break;
    case 3: 
      constructCentralY2 (width *.5, height*.55, .65*PI, width * .95);
      break;
    case 4: 
      constructFullHour (width *.08, height * .77, .65*PI, width *.7); 
      break;
    case 5: 
      constructMinute1 (width *.05, height * .8, .65*PI, width *.95);  
      break;
    case 6: 
      constructMinute2 (width *.05, height * .8, .65*PI, width *.95);  
      break;
    case 7: 
      constructSecond (width *.3, height * .6, .65*PI, width*.7);
      break;
    case 8:
      dbg=false;
      demoFourRolex(time++, false);  // real time
      break;
    case 9:
      dbg=false;
      demoFourRolex(time++, true);  // real time
    break; 
    case 10:
      dbg=false;
      deskClock();  // real time
    break; 
    }
  }
 
image(Voilec, width * .9, height * .8); 
print (millis()); print (" counter:  ");   print (counter);   print (" pageNb:  ");   print (pageNb); print (" time:  ");   println (time);
//textSize = ((int) (.5 + height * .05)); 

if (pageNb != mumberOfPages) // Nothing if desk clock
  {
  textSize(textSize);
  text (pageNb, width - textSize * 2, textSize * 1.2); 
  click (height*.6, height*.1);
  }
}  

// ************************************************************

void page0 ()
{
strokeWeight(2);

textSize(textSize);
fill  (blue); // Text color
text ("Rolex needles construction", textSize *12, textSize * 2); 
text ("Click to switch pages", textSize * 13, textSize * 4); 
//fill  (0, 0, 255);
text ("[1]   Needle <Hour> empty", textSize * 8, textSize * 7);
text ("[2]   <Y> method : triangle + 3 quadrangles", textSize * 8, textSize * 8.5);
text ("[3]   <Y> method : vertex", textSize * 8, textSize * 10);
text ("[4]   Needle <Hour> full", textSize * 8, textSize * 11.5);
text ("[5]   Needle <Minute> method : 2 triangles + quadrangle", textSize * 8, textSize * 13);
text ("[6]   Needle <Minute> method : vertex", textSize * 8, textSize * 14.5);
text ("[7]   Needle <Second>", textSize * 8, textSize * 16);  
text ("[8]   Four Rolex full speed", textSize * 8, textSize * 17.5); 
text ("[9]   Four Rolex real time", textSize * 8, textSize * 19); 
text ("[10]   Desk clock", textSize * 8, textSize * 21.5); 
}
  
// ************************************************************

void demoHour (float xCenter , float yCenter, float angle, float ray)
{
constructHour (xCenter, yCenter, angle, ray);

stroke (255,0,0);
line (xV[1], yV[1], xV[14], yV[14]);
line (xV[1], yV[1], xV[13], yV[13]);
line (xV[2], yV[2], xV[12], yV[12]);
line (xV[6], yV[6], xV[12], yV[12]);
line (xV[2], yV[2], xV[7], yV[7]);
line (xV[6], yV[6], xV[11], yV[11]);
line (xV[8], yV[8], xV[3], yV[3]);
line (xV[4], yV[4], xV[5], yV[5]);
line (xV[13], yV[13], xV[14], yV[14]);

xV[9] = yV[9] = 0;
debugArray(0,14);
debugArray(0,14);
textSize(textSize);
fill  (blue); // Text color
text ("Calculation details of [hour] needle, angle alpha", textSize, textSize * 1.5); 
text ("Central  <Y> is in the next sheet", textSize, textSize * 3.5); 
}

// ************************************************************

void constructCentralY1 (float xCenter , float yCenter, float angle, float ray)
{ 
calcCentralY (xCenter, yCenter, angle, ray);calcCentralY (xCenter, yCenter, angle, ray);

fill (230,255,230);
triangle (xV[5], yV[5], xV[2], yV[2], xV[8], yV[8]);
fill (0, 204, 255);
quad (xV[9], yV[9], xV[1], yV[1], xV[2], yV[2], xV[8], yV[8]);
quad (xV[5], yV[5], xV[6], yV[6], xV[7], yV[7], xV[8], yV[8]);
quad (xV[5], yV[5], xV[4], yV[4], xV[3], yV[3], xV[2], yV[2]);

if (dbg == true)
  {
  stroke (255,0,0);
  xV[0]= xV[10] - height * .7 * sin (angle);  // Clock center
  yV[0]= yV[10] - height * .7 * cos (angle);
  line (xV[0], yV[0], xV[10], yV[10]);

  xV[11] = yV[11] = 0;
  debugArray (0,10);
textSize(textSize);
fill  (blue); // Text color
  text ("Calculation details of [central <Y> hour needle], angle alpha", textSize, textSize * 1.5); 
  text ("one triangle + 3 quads", textSize, textSize * 3.5); 
  text ("Parasit lines 2-5-8", textSize, textSize * 4.5); 
  }
}

// ************************************************************

void constructCentralY2 (float xCenter , float yCenter, float angle, float ray)
{
calcCentralY (xCenter, yCenter, angle, ray);
fill (230,255,230);

s = createShape();
s.beginShape();
s.fill(colorSteel);
for (int n=1; n<10; n++)
s.vertex(xV[n], yV[n]);
/*
s.vertex(xV[1], yV[1]);
s.vertex(xV[2], yV[2]);
s.vertex(xV[3], yV[3]);
s.vertex(xV[4], yV[4]);
s.vertex(xV[5], yV[5]);
s.vertex(xV[6], yV[6]);
s.vertex(xV[7], yV[7]);
s.vertex(xV[8], yV[8]);
s.vertex(xV[9], yV[9]);*/
s.endShape(CLOSE);
shape(s);

if (dbg == true)
  {
    stroke (255,0,0);
  xV[0]= xV[10] - height * .7 * sin (angle);  // Clock center
  yV[0]= yV[10] - height * .7 * cos (angle);
  line (xV[0], yV[0], xV[10], yV[10]);

  xV[11] = yV[11] = 0;
  debugArray (0,10);
  textSize(textSize);
  fill  (blue); // Text color
  text ("Calculation details of [central <Y> hour needle], angle alpha", textSize, textSize * 1.5); 
  text ("Vertex", textSize, textSize * 3.5); 
  text ("No more lines 2-5-8", textSize, textSize * 4.5); 
  }
}

// ************************************************************

void constructFullHour (float xCenter , float yCenter, float angle, float ray)
{
constructHour (xCenter, yCenter, angle, ray);

stroke (255,0,0);
xV[0]= xV[10] - height * .7 * sin (angle);  // Clock center
yV[0]= yV[10] - height * .7 * cos (angle);
line (xV[0], yV[0], xV[10], yV[10]);

//rHourF = ray * .31;
rHourF = ray * .11;
constructCentralY2 (xV[10] , yV[10], angle, ray * .55);

if (dbg == true)
  {
  xV[11] = yV[11] = 0;
  debugArray (0,10);
  textSize(textSize);
  fill  (blue); // Text color
  text ("Full [hour needle], angle alpha", textSize, textSize * 5.5); 
  //text ("Vertex", textSize, textSize * 5.5); 
  }
}

// ************************************************************

void constructMinute1 (float xCenter, float yCenter, float angle, float ray)
{
calcMinute (xCenter, yCenter, angle, ray);
strokeWeight(1);
fill  (colorSteel);
quad (xV[6], yV[6], xV[2], yV[2], xV[7], yV[7], xV[11], yV[11]);
fill  (colorFluo);
quad (xV[5], yV[5], xV[3], yV[3], xV[8], yV[8], xV[10], yV[10]);
fill  (colorSteel);
triangle  (xV[1], yV[1], xV[6], yV[6], xV[2], yV[2]); // Nord
triangle  (xV[0], yV[0], xV[11], yV[11], xV[7], yV[7]); // Sud

if (dbg == true)
  {
  /*stroke  (0,255,0);
  strokeWeight(4);
  line (xV[0], yV[0], xV[0] + (h/2) * sin(angle), yV[0] + (h/2)* cos(angle));
  strokeWeight(0);*/
  debugArray(0,11);
  textSize(textSize);
  fill  (blue); // Text color
  text ("Calculation details of [minute] needle, angle alpha", textSize, textSize * 1.5); 
  text ("2 triangles + quadrangle" , textSize, textSize * 3.5); 
  text ("Parasit lines   2-3, 5-6, 7-8, 10-11 !", textSize, textSize * 4.5);   
  }
}
// ************************************************************

void constructMinute2 (float xCenter, float yCenter, float angle, float ray)
{
calcMinute (xCenter, yCenter, angle, ray);
strokeWeight(1);
fill  (colorSteel);

int myformY[] = {1,2,7,0,11,6}; // Declare, create, assign
s = createShape();
s.beginShape();
s.fill(colorSteel);
for (int n=0; n<myformY.length ; n++)
s.vertex(xV[myformY[n]], yV[myformY[n]]);
/*s.vertex(xV[1], yV[1]);
s.vertex(xV[2], yV[2]);
s.vertex(xV[7], yV[7]);
s.vertex(xV[0], yV[0]);
s.vertex(xV[11], yV[11]);
s.vertex(xV[6], yV[6]);*/
s.endShape(CLOSE);
shape(s);
fill  (colorFluo);
quad (xV[5], yV[5], xV[3], yV[3], xV[8], yV[8], xV[10], yV[10]);

if (dbg == true)
  {
  /*stroke  (0,255,0);
  strokeWeight(4);
  line (xV[0], yV[0], xV[0] + (h/2) * sin(angle), yV[0] + (h/2)* cos(angle));
  strokeWeight(0);*/
  debugArray(0,11);
  textSize(textSize);
  fill  (blue); // Text color
  text ("Calculation details of [minute] needle, angle alpha", textSize, textSize * 1.5); 
  text ("Vertex", textSize, textSize * 3.5);
  text ("no more parasit lines   2-3, 5-6, 7-8, 10-11 ", textSize, textSize * 4.5);   
  }
}

// ************************************************************

void constructSecond (float xCenter, float yCenter, float angle, float ray)
{ 
calcSecond (xCenter, yCenter, angle, ray);
strokeWeight(1);
fill  (colorSteel);
quad (xV[6], yV[6], xV[2], yV[2], xV[7], yV[7], xV[11], yV[11]);
triangle  (xV[1], yV[1], xV[6], yV[6], xV[2], yV[2]); // Nord
circle (xV[4], yV[4], raySecCircleNSteel);
circle (xV[9], yV[9], raySecCircleSteel);
fill (colorFluo);
circle (xV[4], yV[4], raySecCircleNFluo);
circle (xV[9], yV[9], raySCircleSFluo);
// Ending by closing the center

fill  (colorSteel);
circle (xV[0], yV[0], raySecCircleNSteel);
fill  (255,255,255);
circle (xV[0], yV[0], raySecCircleNSteel/2);
fill  (0);
circle (xV[0], yV[0], raySecCircleNSteel/5);

if (dbg == true)
  {
  stroke (255,0,0);
  line (xV[1], yV[1], xV[2], yV[2]);
  line (xV[1], yV[1], xV[6], yV[6]);
  line (xV[7], yV[7], xV[2], yV[2]);
  line (xV[11], yV[11], xV[6], yV[6]);
  xV[3] = yV[3] = xV[5] = yV[5] = xV[8] = yV[8] = xV[10] = yV[10] = 0;
  debugArray(0,11);
  textSize(textSize);
  fill  (blue); // Text color
  text ("Calculation details of [second] needle, angle alpha", textSize, textSize * 1.5); 
  text ("< Fluo disk option !", textSize * 6, yV[9]); 
  }
}
// ************************************************************

void debugArray(int value1, int value2)
{
int _textSize = (int) (.5+height/50);
textSize (_textSize);
//println ("");
for (int value = value1; value<= value2; value ++)
  {
  fill (black); // Text colo
  circle (xV[value], yV[value], _textSize*1.3);
  fill (white); // Text color
  if (value<10)
    text (value, xV[value]- _textSize/5, yV[value]+ _textSize/3);
  else
    text (value, xV[value] - _textSize/2, yV[value] + _textSize/3);  
    
  //print (value); print (" ... x: "); print (xV[value]); print (" ... y: "); println (yV[value]);
  }
}

// ************************************************************

void click(float yposTriangle, float yhTriangle)
{
if ((millis()/1000)%2==0) 
  {
  fill (blue);   // Triangle color
  }
else
  {
  fill (yellow);  
  }
  
  triangle  (0, yposTriangle,  yhTriangle, yposTriangle+yhTriangle/2, yhTriangle, yposTriangle-yhTriangle/2); 
  triangle  (width, yposTriangle,  width-yhTriangle, yposTriangle+yhTriangle/2, width-yhTriangle, yposTriangle-yhTriangle/2);  
  fill (red);
  textSize (yhTriangle * .25);
  text ("Click !", yhTriangle * .3, yposTriangle + yhTriangle * .09);
  text ("Click !", width-yhTriangle * .9, yposTriangle + yhTriangle * .09);     
}

// ************************************************************

void mousePressed() 
{
if (mouseX>width/2)
  counter++;
else 
  counter--;
}

// ************************************************************
// ************************************************************

void constructHour (float xCenter, float yCenter, float angle, float ray)
{
calcHour (xCenter, yCenter, angle, ray);

strokeWeight(1);
fill  (colorSteel);
quad (xV[6], yV[6], xV[2], yV[2], xV[7], yV[7], xV[11], yV[11]);
fill (colorFluo);
quad (xV[5], yV[5], xV[3], yV[3], xV[8], yV[8], xV[4], yV[4]);
fill  (colorSteel);
triangle  (xV[1], yV[1], xV[13], yV[13], xV[14], yV[14]); // Nord
fill (colorFluo);
triangle  (xV[12], yV[12], xV[2], yV[2], xV[6], yV[6]); // Nord fluo
fill  (colorSteel);
circle (xV[10], yV[10], rayHourCircleNSteel);
fill (colorFluo);
circle (xV[10], yV[10], rayHourCircleNFluo);
//constructCentralYH (xV[10] ,yV[10], angle, ray);
}

// ************************************************************

void calcHour (float xCenter , float yCenter, float angle, float ray)
{
epHourSteel = .5 + ray *.07;
epHourFluo = .5 + ray *.035;
rayHourCircleNSteel = .5 + ray * .37;
rayHourCircleNFluo = .5 + ray * .28;
float rHourNord =.5 +  ray * .55; // Front needle
float rHourF = .5 + ray * .31;
float epHourSteel = .5 + ray *.07;
float epHourFluo = .5 + ray *.035;
float rayHourCircleNSteel = .5 + ray * .37;
float rayHourCircleNFluo = .5 + ray * .28;

xV[0]= xCenter; 
yV[0]= yCenter; 

xV[1] = xV[0] + (ray*sin(angle)); // Pointe
yV[1] = yV[0] + (ray*cos(angle));

xV[10] = xV[0] + (rHourNord * sin(angle));
yV[10] = yV[0] + (rHourNord * cos(angle));

xV[5] = xV[10] + (epHourFluo  * sin(angle-PI/2));
yV[5] = yV[10] + (epHourFluo  * cos(angle-PI/2));
xV[3] = xV[10] + (epHourFluo  * sin(angle+PI/2));
yV[3] = yV[10] + (epHourFluo  * cos(angle+PI/2));
xV[6] = xV[10] + (epHourSteel * sin(angle-PI/2));
yV[6] = yV[10] + (epHourSteel * cos(angle-PI/2));
xV[2] = xV[10] + (epHourSteel  * sin(angle+PI/2));
yV[2] = yV[10] + (epHourSteel  * cos(angle+PI/2));

xV[13] = xV[10] + (rayHourCircleNSteel * .4 * sin(angle-PI/2));// base triangle steel
yV[13] = yV[10] + (rayHourCircleNSteel * .4 * cos(angle-PI/2));
xV[14] = xV[10] + (rayHourCircleNSteel * .4 * sin(angle+PI/2));
yV[14] = yV[10] + (rayHourCircleNSteel * .4 * cos(angle+PI/2));
xV[12] = xV[10] + (rHourF  * sin(angle));
yV[12] = yV[10] + (rHourF  * cos(angle));

xV[4] = xV[0] + (epHourFluo  * sin(angle-PI/2));
yV[4] = yV[0] + (epHourFluo  * cos(angle-PI/2));
xV[8] = xV[0] + (epHourFluo  * sin(angle+PI/2));
yV[8] = yV[0] + (epHourFluo  * cos(angle+PI/2));
xV[11] = xV[0] + (epHourSteel * sin(angle-PI/2));
yV[11] = yV[0] + (epHourSteel * cos(angle-PI/2));
xV[7] = xV[0] + (epHourSteel * sin(angle+PI/2));
yV[7] = yV[0] + (epHourSteel * cos(angle+PI/2));
}

// ************************************************************

void calcCentralY (float xCenter, float yCenter, float angle, float ray)
{
//Central triangle : 5 North, 2 West, 8 East
float median = .5 + ray * .04; 
float branche = .5 + ray * .23;

xV[10]= xCenter; // form <Y> hour
yV[10]= yCenter ;  
xV[5] = xV[10] + median* sin (angle);
yV[5] = yV[10] + median* cos (angle);
xV[2] = xV[10] - median* sin (angle+PI/3);
yV[2] = yV[10] - median* cos (angle+PI/3);
xV[8] = xV[10] - median* sin (angle-PI/3);
yV[8] = yV[10] - median* cos (angle-PI/3);

xV[1] = xV[2] - branche * sin (angle);
yV[1] = yV[2] - branche * cos (angle);
xV[9] = xV[8] - branche * sin (angle);
yV[9] = yV[8] - branche * cos (angle);//ok

xV[7] = xV[8] + branche * sin (angle+PI/3);
yV[7] = yV[8] + branche * cos (angle+PI/3);
xV[6] = xV[5] + branche * sin (angle+PI/3);
yV[6] = yV[5] + branche * cos (angle+PI/3);

xV[4] = xV[5] + branche * sin (angle-PI/3);
yV[4] = yV[5] + branche * cos (angle-PI/3);
xV[3] = xV[2] + branche * sin (angle-PI/3);
yV[3] = yV[2] + branche * cos (angle-PI/3);
}

// **********************************************************

void calcMinute (float xCenter, float yCenter, float angle, float ray)
{
float rayExt = .5 + ray * .8;
float rayInt = .5 + ray *.2;
float epSteelMin = .5 + ray *.06;
float epFluoMin = .5 + ray *.03;

xV[0]= xCenter; 
yV[0]= yCenter; 
xV[1] = xV[0] + (ray*sin(angle)); // Pointe
yV[1] = yV[0] + (ray*cos(angle));
xV[4] = xV[0] + (rayExt*sin(angle));
yV[4] = yV[0] + (rayExt*cos(angle));
xV[5] = xV[4] + (epFluoMin  * sin(angle-PI/2));
yV[5] = yV[4] + (epFluoMin  * cos(angle-PI/2));
xV[3] = xV[4] + (epFluoMin  * sin(angle+PI/2));
yV[3] = yV[4] + (epFluoMin  * cos(angle+PI/2));
xV[6] = xV[4] + (epSteelMin * sin(angle-PI/2));
yV[6] = yV[4] + (epSteelMin * cos(angle-PI/2));
xV[2] = xV[4] + (epSteelMin * sin(angle+PI/2));
yV[2] = yV[4] + (epSteelMin * cos(angle+PI/2));

xV[9] = xV[0] + rayInt * sin(angle);
yV[9] = yV[0] + rayInt * cos(angle);

xV[10] = xV[9] + (epFluoMin  * sin(angle-PI/2));
yV[10] = yV[9] + (epFluoMin  * cos(angle-PI/2));
xV[8]  = xV[9] + (epFluoMin  * sin(angle+PI/2));
yV[8]  = yV[9] + (epFluoMin  * cos(angle+PI/2));
xV[11] = xV[9] + (epSteelMin * sin(angle-PI/2));
yV[11] = yV[9] + (epSteelMin * cos(angle-PI/2));
xV[7]  = xV[9] + (epSteelMin * sin(angle+PI/2));
yV[7]  = yV[9] + (epSteelMin * cos(angle+PI/2));
}

// **********************************************************

void calcSecond (float xCenter, float yCenter, float angle, float ray)
{
xV[0]= xCenter; 
yV[0]= yCenter;  
xV[1] = xV[0] + (ray*sin(angle)); // Pointe
yV[1] = yV[0] + (ray*cos(angle));
float rSecNord = .5 + ray * .6; // Front needle
float rSecSud  =  -.5  - ray * .33;  // Back needle
float epSteelSec =  .5 + ray *.02;

raySecCircleNSteel = .5 + ray * .13;
raySecCircleNFluo = .5 + ray * .09;
raySecCircleSteel = .5 + ray * .095;
raySCircleSFluo = .5 + ray * .06;
//float xPSud = xV[0] + (ray*sin(angle)); // Pointe
//float yPSud = yV[0] + (ray*cos(angle));

//triangle  (xV[0]+xPointeN, yV[0]+yPointeN,xV[0]+xPointeW, yV[0]+yPointeW,xV[0]+xPointeE, yV[0]+yPointeE); 
//triangle  (xV[0], yV[0],xV[0]+xPointeW, xV[0]+yPointeW,xV[0]+xPointeE, xV[0]+yPointeE); 

xV[4] = xV[0] + (rSecNord * sin(angle));
yV[4] = yV[0] + (rSecNord * cos(angle));
xV[9] = xV[0] + (rSecSud * sin(angle));
yV[9] = yV[0] + (rSecSud * cos(angle));

xV[6] = xV[4] + (epSteelSec * sin(angle-PI/2));
yV[6] = yV[4] + (epSteelSec * cos(angle-PI/2));
xV[2] = xV[4] + (epSteelSec  * sin(angle+PI/2));
yV[2] = yV[4] + (epSteelSec  * cos(angle+PI/2));
xV[11] = xV[9] + (epSteelSec * sin(angle-PI/2));
yV[11] = yV[9] + (epSteelSec * cos(angle-PI/2));
xV[7] = xV[9] + (epSteelSec  * sin(angle+PI/2));
yV[7] = yV[9] + (epSteelSec  * cos(angle+PI/2));
}

// **********************************************************
// ************************************************************

void deskRolex() // Name must to be the size of the picture
{
h=930; // same size
xCenter = (int) (width * .5) ;
yCenter = (int)(height * .5);
top1 = (millis());
//for (int x=0; x<1000; x++) // for speed tests
image(Rolex930, xCenter, yCenter);
top2 = (millis());
text (top2-top1, 50, 500);
needles(xCenter, yCenter);
}

// ************************************************************

void Rolex930 () // Name must to be the size of the picture
{
h = 930; // same size
xCenter = (int)(width-h*.72) ; 
yCenter = height/2;
//image(Rolex930, xCenter, yCenter);
set(xCenter, yCenter, Rolex930);
needles(xCenter, yCenter);
}

// ************************************************************

void Rolex640 () // Name must to be the size of the picture
{
h=640; // same size
xCenter = (int) (width*.2) ;
yCenter = (int)(height*0.37);
image(Rolex640, xCenter, yCenter);
needles(xCenter, yCenter);
}

// ************************************************************


void Rolex350 () // Name must to be the size of the picture
{
h=350; // same size
xCenter = (int) (width*.12) ; 
yCenter = (int)(height*0.83);
image(Rolex350, xCenter, yCenter);
needles(xCenter, yCenter);
}

// ************************************************************

void Rolex160 () // Name must to be the size of the picture
{
h=160; // same size
xCenter = (int) (width*.3) ;
yCenter = (int)(height*0.83);
image(Rolex160, xCenter, yCenter);
needles(xCenter, yCenter);
}

// ************************************************************

void demoFourRolex(int time,  boolean realTime)  // real time)
{
//int timeH,timeM,timeS;
if (realTime == true)
  {
  timeH = hour();
  timeM = minute();
  timeS = second();
  }
else
  {
  timeH =(time/7200)%12;
  timeM =(time/60)%60;
  timeS = time%60;
  }
/*
timeH = 23;
timeM = 10;
timeS = 20;
*/
showTimeHMS (10,10, 64, yellow, black);  // position, size
showTimeHMS (290,10, 48, white, darkGrey);  // position, size
showTimeHMS (500,10, 32, red, white);  // position, size
showTimeHMS (650,10, 16, black, yellow);  // position, size
angleS = PI-radians(6*timeS);
float mFloat = (6*timeM) + (timeS/10);
angleM = PI-radians(mFloat);
float hFloat = 30*(timeH%12); 
angleH = PI-radians((hFloat)+ (mFloat/12));

fill(green);
stroke (255,255,255);
Rolex930 (); // Name must to be the height size
Rolex640 (); // Name must to be the height size
Rolex350 (); // Name must to be the height size
Rolex160 (); // Name must to be the height size

int textsize =24;
textSize(textsize);
text(varGrey, width- textsize * 4, textsize * 4);
text(sin (timeS/30.0), width- textsize * 4, textsize * 6);
}
// ************************************************************

void deskClock()  // real time)
{
while (timeS == second());

//top1 = millis(); 
timeH = hour();
timeM = minute();
timeS = second();

//top1 = millis(); 
timeH = hour();
timeM = minute();
timeS = second();

background (black);
showTimeHMS (20, 10, height/20, blue, background);  // position, size
showDate (20, height /10, height /25, red, background);  // position, size
angleS = PI-radians(6*timeS);
float mFloat = (6*timeM) + (timeS/10);
angleM = PI-radians(mFloat);
float hFloat = 30*(timeH%12); 
angleH = PI-radians((hFloat)+ (mFloat/12));

deskRolex(); // Name must to be the height size
/*fill(white);
int textsize = 16;
textSize(textsize);
//text((int)(millis() - top1), textsize, height - 4 * textsize);
text((int)(top2 - top1), textsize, height - 20 * textsize);*/
}

// ************************************************************

void needles(float xCenter,float yCenter)
{
//var8 = 128 + (int)(64 * sin (radians(6*timeS)));
//var8 = 64 + 195 * mouseY / height;
//colorSteel = color(var8, var8, var8);

//text (var8, width-100, 160);  
//text (mouseY, width-100, 100);  
  

rH = .5 + h * .21;  // Ray Hour
rM = .5 + h * .32;  // Ray Minute
rS = .5 + h * .33;  // Ray Second
stroke(darkGrey);// DarkGrey contour
constructHour (xCenter, yCenter, angleH, rH);
constructCentralY2 (xV[10] , yV[10], angleH, rH * .55);
//constructFullHour(xCenter, yCenter, angleH, rH);//hour(angleH, rH);
constructMinute2 (xCenter, yCenter, angleM, rM);//minute (angleM, rM);
constructSecond (xCenter, yCenter,angleS, rS);
//debugCrossLines(); //To verify center
}

// ************************************************************

void showTimeHMS (int xShow , int yShow, int textsize, color txtColor, color backShow) // position, size
{
stroke (black); // Outline color
fill (backShow); // Rectangle color
rect (xShow , yShow, 4*textsize, textsize, 20);
fill (txtColor); // Text color

// The nf() function spaces the numbers nicely
String t = nf(timeH,2) + ":" + nf(timeM,2) + ":" + nf(timeS,2);
textSize(textsize);
text(t, xShow+(int)(textsize * .3), yShow+(int)(textsize * .85));
}

// ************************************************************

void showDate (int xShow , int yShow, int textsize, color txtColor, color backShow) // position, size
{
stroke (black); // Outline color
//fill (backShow); // Rectangle color
//rect (xShow , yShow, 4*textsize, textsize, 20);
fill (txtColor); // Text color
//String[] tabJour = {"lundi","mardi","mercredi","jeudi","vendredi","samedi","dimanche"};
String[] tabMois = {"janvier"," février"," mars"," avril"," mai"," juin"," juillet"," août"," septembre"," octobre"," novembre"," décembre"} ;
String s ="";
s+=nf(day(),2);
s+= " ";
s+=tabMois[month()-1];
s+= " ";
s+= year();
textSize(textsize);
text(s, xShow+(int)(textsize * .3), yShow+(int)(textsize * .85));
}

// ************************************************************
/*
void demoHour       (float xCenter, float yCenter, float angle, float ray)
void constructCentralY1 (float xCenter, float yCenter, float angle, float ray)
void constructCentralY2 (float xCenter, float yCenter, float angle, float ray)
void constructFullHour   (float xCenter, float yCenter, float angle, float ray)
void constructMinute   (float xCenter, float yCenter, float angle, float ray)
void constructSecond   (float xCenter, float yCenter, float angle, float ray)
void constructHour     (float xCenter, float yCenter, float angle, float ray)

void calcHour     (float xCenter, float yCenter, float angle, float ray)
void calcCentralY   (float xCenter  float yCenter, float angle, float ray)
void calcMinute   (float xCenter, float yCenter, float angle, float ray)
void calcSecond   (float xCenter, float yCenter, float angle, float ray)
*/
