//***********************************//
//      Small exercise showing       //
//     the influence of parameter    //
//           transparency            //
//            Processing             //
//***********************************//
//        Christian Couderc          //
//         www.voilec.com            //
//***********************************//
//   240624

int _background =255;
int transparency=0;
int n=0;
int _textSize = 31;
int step = 128;

//*****************************************************

void setup()
{
size (1000,1000);
background(_background);
textSize (_textSize);
stroke (step,0,0); 
smooth();
}

//*****************************************************

void draw ()
{
transparency+=8;
if (transparency>255)
  {
  transparency=0;
  background (_background * (n++%2));
  if (n%2==0)
  step +=32;
  if (step>255)
  step=31;
  }
print (n); print ("  "); print (step); print ("  "); println (transparency);

fill (0,255,0); // Rectangle color
rect (_textSize/2, _textSize, 8*_textSize, 2.5*_textSize);
fill (0,0,step); // Text color
text ("Step", _textSize/2, 2*_textSize);
text (step, 6.5*_textSize, 2*_textSize);
text ("Transparency", _textSize/2, 3*_textSize);
text (transparency, 6.5*_textSize, 3*_textSize);

fill(step, 0, 0, transparency); // Yellow
ellipse(470, 360, 640, 640);
fill(0, step, 0, transparency); // Green
ellipse(900, 470, 640, 640);
fill(0, 0, step, transparency); // Blue
ellipse(570, 790, 640, 640);
delay(500);
}

//*****************************************************
